XMLInitializer Class Reference

Utilities that must be implemented in a class-specific way. More...

## Static Protected Member Functions

Initialization methods
static void | initializeTransService ()
| Perform per-class allocationa and initialization of static data. More...
static void | initializeStaticData ()
static void | terminateStaticData ()
| Perform per-class release of static data. More...
static void | terminateTransService ()

## Friends

class | XMLPlatformUtils

## Detailed Description

Utilities that must be implemented in a class-specific way.

This class contains methods that must be implemented by different classes that have static data (class or local) that they need to initialize when XMLPlatformUtils::Initialize is invoked.

## Member Function Documentation

static void XMLInitializer::initializeStaticData | ( |  | ) |

static protected

static void XMLInitializer::initializeTransService | ( |  | ) |

static protected

Perform per-class allocationa and initialization of static data.

These functions should be called from XMLPlatformUtils::Initialize.

static void XMLInitializer::terminateStaticData | ( |  | ) |

static protected

Perform per-class release of static data.

These functions should be called from XMLPlatformUtils::Terminate.

static void XMLInitializer::terminateTransService | ( |  | ) |

static protected

## Friends And Related Function Documentation

friend class XMLPlatformUtils

friend

The documentation for this class was generated from the following file:

- XMLInitializer.hpp